Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000806Core InformModel worldpublic2011-11-20 05:422014-05-07 07:33
Reportermattweiner 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000806: A spurious report of darkness is reported when exiting a closed container
DescriptionOn exiting the Crypt, the game prints:
Darkness
You can't see a thing.

followed by the correct room description.
Minimal Source Text To Reproduce
The Crypt is a room.
The coffin is a container in the Crypt. The coffin is enterable. The coffin is openable.
After entering the coffin:
	say "It slams shut on you!";
	 now the coffin is closed.
Before exiting from the closed coffin: try opening the coffin.
Additional InformationThe "describe room emerged into" rule is producing the report of darkness; the normal room description is then produced by a looking action (which I suspect is triggered when the game belatedly recognizes the lighting change).

In this case, this rule fixes the problem by suppressing the describe room emerged into rule:
Report exiting from the coffin (this is the don't describe the darkness rule): rule succeeds.
The don't describe the darkness rule is listed after the standard report exiting rule in the report exiting rulebook.

But that clearly would not work in general.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001460)
mattweiner (reporter)
2011-11-20 05:43

See also http://www.intfiction.org/forum/viewtopic.php?f=7&t=3714. [^]
(0001461)
mattweiner (reporter)
2011-11-20 05:57

A fix involving the I6 Position Player In Model World Rule has now been posted in the above thread.
(0001462)
mattweiner (reporter)
2011-11-20 15:19

Actually, that fix was for a different bug, which I hope to file later tonight.
(0001466)
mattweiner (reporter)
2011-11-26 07:44

Testing it out with another scenario: if you write a rule that automatically moves the player from a closed container without opening it, this bug doesn't happen. (And of course, if you open the box and exit on separate turns, then the box is lighted and this bug doesn't happen.) It seems as though it only happens when you try opening and exiting on the same turn.

- Issue History
Date Modified Username Field Change
2011-11-20 05:42 mattweiner New Issue
2011-11-20 05:43 mattweiner Note Added: 0001460
2011-11-20 05:57 mattweiner Note Added: 0001461
2011-11-20 15:19 mattweiner Note Added: 0001462
2011-11-22 12:32 EmacsUser Status new => confirmed
2011-11-26 07:44 mattweiner Note Added: 0001466
2014-02-13 14:58 graham Status confirmed => resolved
2014-02-13 14:58 graham Resolution open => fixed
2014-02-13 14:58 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker